@echo	off

rem	Change the following settings according to the system and user.
rem	VCHOME	    : The directory where you installed the MS/VC++ development environment
rem	JAVAHOME    : Directory where you installed the Java development environment
rem	MYHOME      : Directory where you installed the TDSJava package
rem
rem	Place the following JNA related files in. \ As the JAVA execution environment.
rem	jna.jar


rem	下記設定をシステム及びユーザにあわせて変更すること。
rem	VCHOME      : MS/VC++ の開発環境をインストールしたディレクトリ
rem	JAVAHOME    : Java    の開発環境をインストールしたディレクトリ
rem	MYHOME      : TDSJava パッケージをインストールしたディレクトリ
rem
rem	JAVA 実行環境として、.\ に、以下の JNA 関連ファイルを配置すること。
rem	jna.jar


	set	PROGDIR=c:\Program Files (x86)
	set	VCHOME=c:
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 9.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 10.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 11.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 12.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 15.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.1
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio\2017\Community
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 16.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.2
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio\2019\Community

				    set	JAVADIR=%PROGDIR%\Java
rem				    set	JAVADIR=d:\Program Files\Java
rem	if not	exist "%JAVAHOME%"  set	JAVAHOME=%JAVADIR%\jdk1.5.0_15
rem	if not	exist "%JAVAHOME%"  set	JAVAHOME=%JAVADIR%\jdk1.6.0_17
	if not	exist "%JAVAHOME%"  set	JAVAHOME=%JAVADIR%\jdk1.7.0_65
	if not	exist "%JAVAHOME%"  set	JAVAHOME=%JAVADIR%\jdk1.8.0_11

				    set	MYHOME=..\..
				    set	MSVCDIR=%VCHOME%\VC
				    set	MSVCBAT=%MSVCDIR%\vcvarsall.bat
	if not	exist "%MSVCBAT%"   set MSVCBAT=%MSVCDIR%\Auxiliary\Build\vcvarsall.bat
	call	      "%MSVCBAT%" amd64

	set	PATH=%PATH%;%JAVAHOME%\bin
	set	CLASSPATH=%CLASSPATH%;.
	set	CLASSPATH=%CLASSPATH%;jna.jar
	set	CLASSPATH=%CLASSPATH%;%MYHOME%
	set	CLASSPATH=%CLASSPATH%;%MYHOME%\TDJVS.jar
	set	CLASSPATH=%CLASSPATH%;%MYHOME%\TDJava.jar

	set	PROGDIR=
	set	JAVADIR=
	set	VCHOME=
	set	MSVCBAT=
	set	MSVCDIR=
	set	MYHOME=

